﻿/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * D Port:
 *     Jesse Phillips <Jesse.K.Phillips+D> gmail.com
 *******************************************************************************/
module dwtsnippets.directorydialog.Snippet33;

/*
 * DirectoryDialog example snippet: prompt for a directory
 *
 * For a list of all SWT example snippets see
 * http://www.eclipse.org/swt/snippets/
 */

import dwt.widgets.DirectoryDialog;
import dwt.widgets.Display;
import dwt.widgets.Shell;

import tango.io.FileSystem;
import tango.io.Stdout;
import tango.util.Convert;

void main () {
    auto display = new Display ();
    auto shell = new Shell (display);
    shell.open ();
    auto dialog = new DirectoryDialog (shell);
    dialog.setFilterPath (FileSystem.getDirectory());
    Stdout("RESULT=" ~ to!(char[])(dialog.open())).newline;
    while (!shell.isDisposed()) {
        if (!display.readAndDispatch ()) display.sleep ();
    }
    display.dispose ();
}
